# Submitting Issues

Help Us Help You!
{: .subtitle }

We use the [GitHub issue tracker](https://github.com/traefik/traefik/issues) to keep track of issues in Traefik. 

The process of sorting and checking the issues is a daunting task, and requires a lot of work (more than an hour a day ... just for sorting).
To save us some time and get quicker feedback, be sure to follow the guide lines below.

!!! important "Getting Help Vs Reporting an Issue"

    The issue tracker is not a general support forum, but a place to report bugs and asks for new features.

    For end-user related support questions, try using first:

    - the Traefik community forum: [![Join the chat at https://community.traefik.io/](https://img.shields.io/badge/style-register-green.svg?style=social&label=Discourse)](https://community.traefik.io/)

## Issue Title

The title must be short and descriptive. (~60 characters)

## Description

Follow the [issue template](https://github.com/traefik/traefik/blob/master/.github/ISSUE_TEMPLATE.md) as much as possible.

Explain us in which conditions you encountered the issue, what is your context.

Remain as clear and concise as possible

Take time to polish the format of your message so we'll enjoy reading it and working on it. 
Help the readers focus on what matters, and help them understand the structure of your message (see the [Github Markdown Syntax](https://help.github.com/articles/github-flavored-markdown)).

## Feature Request

Traefik is an open-source project and aims to be the best edge router possible.

Remember when asking for new features that these must be useful to the majority (and not only useful in edge case scenarios, or hack-like setups).

Do you best to explain what you're looking for, and why it would improve Traefik for everyone. 

## International English

Every maintainer / Traefik user is not a native English speaker, so if you feel sometimes that some messages sound rude, remember that it probably is a language barrier problem from someone willing to help you.
